Closed Bug 741815 Opened 8 years ago Closed 8 years ago

Setup getpersonas.com in SCL3

Categories

(Cloud Services :: Operations: Marketplace, task)

x86
macOS
task
Not set

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: jason, Assigned: jason)

References

Details

This is a tracker bug for the migration of getpersonas.org from SJC1 to SCL3
Correction, getpersonas.com
Summary: Setup getpersonas.org in SCL3 → Setup getpersonas.com in SCL3
Assignee: server-ops → jthomas
Depends on: 741818
Depends on: 742370
Depends on: 742050
www.getpersonas.com is ready for testing in SCL3. Please add the following in your hosts file:

63.245.215.29 www.getpersonas.com getpersonas.com

@stephend could we have someone in webqa test this either manually or with automation?
(In reply to Jason Thomas [:jason] from comment #2)
> www.getpersonas.com is ready for testing in SCL3. Please add the following
> in your hosts file:
> 
> 63.245.215.29 www.getpersonas.com getpersonas.com
> 
> @stephend could we have someone in webqa test this either manually or with
> automation?

Sure thing; we don't have automation, but I've already started testing, and enlisted the team's help, too.
Jason: can you check to ensure that email is set up correctly?

I did a password-reset on the new instance, and didn't receive email, but did so immediately on current prod, from:

Received: from mxout-personas.mozilla.org (pm-app-personas04.mozilla.org [10.2.81.90])
	by dm-mail03.mozilla.org (Postfix) with ESMTP id 8D94C4AEE2A
	for <stephen.donner@gmail.com>; Tue, 10 Apr 2012 21:34:22 -0700 (PDT)
(In reply to Stephen Donner [:stephend] from comment #4)
> Jason: can you check to ensure that email is set up correctly?
> 
Sending mail from localhost to external network seems blocked and I guess we should be using a mail relay host.

We will need to setup a mail relay host in scl3 for this to work. 

Apr 11 07:24:41 getpersonas3 postfix/smtp[23159]: connect to aspmx.l.google.com[173.194.79.26]:25: Connection timed out
Apr 11 07:25:02 getpersonas3 postfix/smtp[23159]: connect to alt2.aspmx.l.google.com[74.125.65.26]:25: Connection timed out
Apr 11 07:25:23 getpersonas3 postfix/smtp[23159]: connect to alt1.aspmx.l.google.com[209.85.225.26]:25: Connection timed out
Apr 11 07:25:44 getpersonas3 postfix/smtp[23159]: connect to aspmx3.googlemail.com[74.125.127.27]:25: Connection timed out
Apr 11 07:26:05 getpersonas3 postfix/smtp[23159]: connect to aspmx2.googlemail.com[74.125.43.27]:25: Connection timed out
Apr 11 07:26:05 getpersonas3 postfix/smtp[23159]: 0B295180178: to=<jason@lithiumfox.com>, relay=none, delay=106, delays=0.05/0/106/0, dsn=4.4.1, status=deferred (connect to aspmx2.googlemail.com[74.125.43.27]:25: Connection timed out)
Depends on: 744569
Depends on: 747004
Depends on: 747059
No longer depends on: 744569
(In reply to Stephen Donner [:stephend] from comment #4)
> Jason: can you check to ensure that email is set up correctly?
> 
> I did a password-reset on the new instance, and didn't receive email, but
> did so immediately on current prod, from:

Should be working now. Can we please test?
(In reply to Jason Thomas [:jason] from comment #6)
> (In reply to Stephen Donner [:stephend] from comment #4)
> > Jason: can you check to ensure that email is set up correctly?
> > 
> > I did a password-reset on the new instance, and didn't receive email, but
> > did so immediately on current prod, from:
> 
> Should be working now. Can we please test?

Done; tested resetting and signing in with the new password.  I haven't tested Admin functionality, but I don't what the URL or auth info is for that, nor do I know who would even know :-(
@clouserw do you know who would be able to test admin functionality?
:amyt is an admin and can double check after the move
Current plan for cutover @ https://etherpad.mozilla.org/getpersonas-scl3-cutover

I will be doing the cut over on 4/21/2012 8PM PST.
(In reply to Wil Clouser [:clouserw] from comment #9)
> :amyt is an admin and can double check after the move

Why not before?
This is completed.
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Verified FIXED; haven't heard any fallout :-)
Status: RESOLVED → VERIFIED
Component: Server Operations: AMO Operations → Operations: Marketplace
Product: mozilla.org → Mozilla Services
You need to log in before you can comment on or make changes to this bug.